A visualization constructed using the 
[vega-lite-api](https://github.com/vega/vega-lite-api/).
Then use [React] to add a menu to choose different fields for visualization. 

In this ILINet Flu Surveillance dataset, we have ILITOTAL to indicate the number of patients recorded by the network. The %UNWEIGHTED ILI is actually the ratio to total number of patients served. Clearly this value could be large if the base numbers are small. In the single plot, we show all data by the week of the year since 2015. Each data point represent a state on the same week, different color indicates different years. We also assigned the ILITOTAL number to the size channel, which maps the bigger size to larger number of patients. From the plot we can see that the big size mostly happens at the end of the year till at the beginning of the year, which is the flu season. Although the %ILI data indicates similar results, the size gives more sharper results. Also the points at the bottom of the weeks are all smaller, which allows us to visualize the bigger patients’ number more easily on the plot, it happens on both end of each week’s line because the data with smaller number of patient are generally ignorable. 

See Data on Gist: 
[ILINet Flu Surveillance Data](https://gist.github.com/yuzhang21/afd1af3a28631a12dfd8eee37520309f)

The original data comes from the 
[CDC FluView Interactive](https://www.cdc.gov/flu/weekly/fluviewinteractive.