import vl from 'vega-lite-api';
export const viz = (fieldName) => (vl
  .markCircle({ size: 100, opacity: 0.4 })
  .encode(
    vl.x().fieldQ('WEEK'),
    vl.y().fieldQ({fieldName}).title('ILI %'),
    vl.color().fieldN('YEAR'),
    vl.size().fieldQ('ILITOTAL').title('ILI Total'),
    vl.tooltip().average('TOTAL PATIENTS')
  ));